Update Elasticsearch tiers
- Base URL
-
https://api.elastic-cloud.com/api/v1
- PATCH /deployments/{deployment_id}/elasticsearch/{ref_id}/tiers
Updates the size and/or zone count of one or more Elasticsearch topology elements (tiers) within a Deployment.
Request body
A map of tier IDs to their desired configuration
Responses
The tier configuration was updated and a plan change was initiated.
-
resourcesobjectrequired -
List of resources that are part of the deployment after the update operation.
-
diagnosticsobject -
Describes the diagnostics for a given Deployment-modifying payload
-
settingsobject -
Additional configuration about the current deployment object.
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found) - One or more tier IDs in the request body are not valid for this deployment. (code:
deployments.tier_not_found)
We have failed you. (code: deployments.metadata_internal_error)